/*
 * Copyright (c) 2004-2006 CNRS/LAAS
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS.
 */

#ifndef GYRO_LIB_H
#define GYRO_LIB_H

BOOL gyroInitAngle(char *port);
BOOL gyroEnd(void);
BOOL gyroReadAngle(double *theta);
BOOL gyroReadCorrAngle(double *theta);
BOOL gyroUpdateWOffset(void);
BOOL gyroResetAngle(double theta);

#endif
